Getting Started

pdfFactory is a printer driver. This means you must print to it from your application, just as you would with any other printer. Most applications have a Print dialog box command available in the File menu. To use pdfFactory:

  1. Go the File menu of your application and select Print
  2. Select FinePrint pdfFactory as your printer
  3. Click OK
  4. Wait for the pdfFactory dialog to appear.
  5. Once the dialog box appears, you can preview your document, save it, email it, or view it.


 How it works

The pdfFactory printer driver receives output from applications and converts it into a temporary file (.fp format for those familiar with FinePrint) that is used for previewing purposes. Creating the preview file also allows pdfFactory to display the fonts that are used in the document so that it is easier to determine which fonts should be embedded.

While the preview file is being displayed, the real PDF file is being created in the background. In most cases, the PDF will be complete by the time you execute a main function. In cases where the PDF is still being created, a progress dialog box will appear indicating the current state of the PDF conversion. When the PDF is finished being created, your command will be executed.


Why PDF

 PDF file uses

Adobe Portable Document Format (PDF) is the open, de-facto standard for electronic document distribution worldwide. Adobe PDF is a universal file format that preserves all of the fonts, formatting, colors, and graphics of any source document, regardless of the application and platform used to create it. PDF files are compact and can be shared, viewed, navigated, and printed exactly as intended by anyone with a free Adobe Acrobat Reader.

With pdfFactory, you can create PDF files from any application quickly and easily. Once created, the PDF can be shared with other users on the web, emailed, or used for archival purposes. Adobe Acrobat Reader is required to view and print PDF files.


 Preview tab

The Preview tab is the default tab displayed when the pdfFactory dialog box first appears. From here, you can:

  • scroll through the document
  • zoom
  • insert or delete pages and jobs


 Fonts tab

The Fonts tab shows the fonts used in the documents in your current pdfFactory session and allows you to embed them in the PDF file. Here are some things to consider in deciding whether or not to embed fonts:

  • Do you care about the specific fonts used in the document? If yes, embed the font.
  • Does the recipient of the document have the font on their system? If the user is a Windows user and you are using fonts generally found on Windows computers, there is no need to embed.
  • Will the PDF viewer make a reasonable substitution for fonts that do not exist on the recipient system? The PDF viewer will substitute fonts. If this is acceptable, there is no need to embed.
  • Embedding fonts increases the size of the PDF file meaning it will take longer to download from an email message or from the web.

pdfFactory will remember the list of fonts you decide to embed and will embed them by default in subsequent documents. You can list all of your installed fonts and select those to be embedded. When a document contains the font selected, it will automatically be embedded.


 Doc Info tab

The Doc Info tab allows you to set attributes that will be written into the PDF file. The attributes are:

  • title
  • author
  • subject
  • keywords


Doc Info tab

 Links tab

The Links tab allows setting options creating links to URLS and email addresses.

Links are detected by the existence of:

  • http://
  • ftp://
  • mailto:
  • www.domain.*
  • name@domain.*

The link indicator properties can be set as follows:

  • line thickness
  • line type
  • line color

Note: URLs spanning multiple lines are not supported


Doc Info tab

 Settings tab

The Settings tab allows you to set global options in pdfFactory.

The AutoSave feature saves entire contents of pdfFactory sessions automatically. This is useful in case you need to get back to something you printed previously or if you suffer a system crash while printing.

You can set the number of complete sessions to save using the spin control provided. The PDF files are saved in My Documents\pdfFactory files\AutoSave files by default. Default file locations for manual and auto-saved files can be set using the "Folder locations" button. The AutoSave files can be deleted using the "Delete auto-saved files" button.


 Main functions

The pdfFactory dialog box has buttons on the bottom for its main functions

  • View PDF - opens your default PDF viewer with the actual PDF file created.
  • Save - saves your PDF to a file. Your file will also be auto-saved.
  • Send - opens your default email client and attaches your PDF. If you do not save your PDF manually with a file name of your choosing, a default file name is used.
  • Combine documents - once the pdfFactory window opens, it will collect all print jobs from all your applications. Just go back to your applications and print again and the print jobs will appear in order in PDF factory. If you want to reorder the print jobs, you will need to use FinePrint.

Note that the preview within pdfFactory is an exact duplicate of what your PDF will look like, but it is not an actual PDF. In almost all cases, there will be no difference between the display in pdfFactory and another PDF viewer. Inserting or deleting pages from the preview will cause a new PDF file to be automatically generated in the background.


Deferred Printing

 Combining print jobs

pdfFactory can can combine multiple print jobs as a single PDF file.

In order to combine multiple jobs together, just print to pdfFactory, return to your application and print again. As long as the pdfFactory window is available, all jobs will continue to be collected in the preview automatically.

Note: If pdfFactory disappears behind other windows, just click on the pdfFactory icon in the caption bar.


Doc Info tab

 Entering the serial number

When you purchase pdfFactory, you will receive a serial number. The serial number is used to to remove pdfFactory advertising banner that appears in the trial version.

Enter your name and serial number in the fields on the About tab. Make sure you copy and paste the serial number from your confirmation email. Click the Register button and pdfFactory will be fully enabled.


Previewing

 Inserting pages

Blank pages can be inserted before or after any page in the document. Right-click on a page in the preview, select "Insert blank page", then select either "before this page" or "after this page".


 Deleting pages

Deleting and un-deleting pages

 You can delete a single page or an entire job from the set of pages to be printed. This is useful for deleting empty web pages from a web browser print job or deleting pages that were accidentally printed. Simply right-click the page you want to delete and select one of:·

  • Delete this page - deletes the current page
  • Delete this job - deletes the current page and all other pages in the job that contains the page.
  • Enter delete page mode - enters Delete page mode (see below)
  • Undelete all - un-deletes all previously deleted pages and jobs.
  • Show deleted - displays deleted pages with a red "X" drawn over them. In this mode, the following options are available by right-clicking on a page:

Delete Page Mode

If you have a lot of pages to delete, Delete page mode can help. While in Delete Page mode, clicking on page deletes it, showing a red "X" over it. To undelete the page, click it again.

To enter Delete page mode, right click anywhere on the preview pages and select "Enter Delete page mode".
To exit Delete Page mode, right click anywhere on the preview pages and select "Exit Delete Page mode".

To select a range of pages to delete , click on the start page, move the cursor or scroll to the end page, hold the Shift key and click on the end page. All pages in the range will be deleted and displayed with the red X. Other options are available by right-clicking while in delete page mode:

  • undelete this page - un-deletes the page
  • undelete this job - un-deletes the job containing the page
  • hide deleted - hides the deleted pages

Note: if "show deleted pages" option is selected, deleted pages are drawn on the screen but they are not printed.


 Zooming the preview

It is possible to zoom in on the pages so get more detail or to check the printing accuracy.

Double-clicking on a page in the Preview tab will open zoom the contents. Double-clicking again will restore the document to normal size, showing the entire page in the Preview tab.

The following zoom options are available by right-clicking on the page:
  • normal - shows entire page
  • 100 percent mode - full size of page as it would be printed in full screen mode
  • 200 percent mode - double scaling in full screen mode
  • 400 percent mode - quadruple scaling in full screen mode


 Using pdfFactory with FinePrint

FinePrint is our flagship product that provides enhanced printing capability from all Windows applications. Using pdfFactory with FinePrint provides a number of advantages. Printing to FinePrint first and then to pdfFactory from within FinePrint allows PDFs to be created that are not possible using other means:
  • create headers and footers with date, time or other custom fields
  • add watermarks to documents such as Draft, Final, Confidential, etc
  • print on electronic letterhead and forms.
  • rearrange documents before the PDF is created
  • rescale the margins to make larger text
  • create booklet impositions for printing purposes
  • create multi-up PDFs so that the recipient does not need a multi-up printer to print them.

To learn more about FinePrint, visit our web site.


Auto save options

 Auto-save options

The pdfFactory settings tab has options for controlling how your PDFs are automatically saved. pdfFactory will save your PDFs automatically in your My Documents\pdfFactory files\Autosave directory. These files will be deleted when you reach the maximum number as set in the settings tab.


Printer driver options

 Setting printer driver options

Setup tab

Paper size, orientation and pdfFactory dialog box display modes are set using the printer driver properties.

To access the printer properties, select the Start menu, Settings, Printers. Right-click the pdfFactory icon and select:

  • Windows 9x/ME: Properties
  • Windows NT: Document defaults
  • Windows 2000/XP: Printing preferences

Paper size
This option sets the default paper size. pdfFactory supports a large number of paper sizes as well as custom paper sizes. Custom paper sizes can be created by using the Custom button which is next to the list of available stock sizes.

Orientation
Set this option to either portrait or landscape.

pdfFactory dialog

  • Do not show dialog - turns the pdfFactory dialog box off. Current PDF cration settings will be used with a default name for the PDF file.
  • Automatically dismiss dialog - closes the pdfFactory session after the specified number of minutes has elapsed.
  • If the dialog box is turned off, the following options are available:

    do nothing - saves to default location

    view the file - displays in Acrobat

    send the file - attaches it to the default email client

    execute a command - executes the specified command or program

Metrics tab

Emulate Printer - this mode ensures that the PDF has the same line breaks and page breaks as printing to the selected printer. This mode will use the resolution and margins of the selected printer. If you want to set your own margins and resolution, uncheck this option and use the Margins and Resolution controls.

Graphics tab

Downsample images to 96 dpi - this checkbox applies advanced compression to images which will reduce file sizes for documents that contain them. This box should be checked unless the images in the PDF are of poor quality.

JPEG compression - controls compression options for fine tuning bitmap graphic quality vs. file size. It is also possible to leave images uncompressed.


Support

 Technical support

Please see our web site for answers to frequently asked questions and other support information. Tutorials on various topics are available on our online tutorial section of our web site.


Doc Info tab

 Settings tab

The Settings tab allows you to set global options in pdfFactory.

The AutoSave feature saves entire contents of pdfFactory sessions automatically. This is useful in case you need to get back to something you printed previously or if you suffer a system crash while printing.

You can set the number of complete sessions to save using the spin control provided. The PDF files are saved in My Documents\pdfFactory files\AutoSave files by default. Default file locations for manual and auto-saved files can be set using the "Folder locations" button. The AutoSave files can be deleted using the "Delete auto-saved files" button.

PDF level - sets the PDF level. Automatic will select the PDF level with the maximum compatibility with Acrobat.

Allow Master password entry on Security tab - controls the display of the Master password field in the Security tab.

Create new pdfFactory Pro printer - this button creates a new pdfFactory Pro printer that has a copy of the settings in the current pdfFactory Pro session. Creating multiple pdfFactory Pro printers provides easy access to a pre-defined set of printing attributes. Examples of multiple pdfFactory Pro printers are:

  • pdfFactory printer to create secure documents
  • pdfFactory printer to embed fonts
  • pdfFactory printer with specific Doc Info settings

The new pdfFactory printer will be available in the list of printers available in the Print dialog boxes of all applications.